-- Надо слить орла с фоном

dofile('data/Scenes/2_Prow_Anim_Sky.lua')

local PATH_COMICS_2_START             = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_2_ON_WIN            = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_2_TAKE_BOTTLE       = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_2_NET				= 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_2_CORKSCREW			= 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_2_MINIGAME			= 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_MINIGAME_2_PUZZLE          = 'data/Scenes/Minigames/2_Prow_Puzzle.lua'

function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad(screen:GetName())

    local pf = play_field
    local level = pf:GetLevelScreen()
    ---------------------------------------------------------------------------------------------
    level:AddTaskSafe(CreateTask('NOTE_IN_BOTTLE', '', 'memorial'))
    AddRandomTasks(12,
                   CreateTask('BITTEN_APPLE', '', 'apple'),
                   CreateTask('BALL', '', 'ball'),
                   CreateTask('CLOCK', '', 'clock'),
                   CreateTask('CUP', '', 'cup'),
                   CreateTask('DICE', '', 'dice'),
--                   CreateTask('BIRD', '', 'eagle'),
                   CreateTask('BOBBER', '', 'float'),
                   CreateTask('GLOBE', '', 'globe'),
                   CreateTask('LOCOMOTIVE', '', 'locomotive'),
                   CreateTask('RING', '', 'ring'),
                   CreateTask('SAVING_CIRCLE', '', 'saving_circle'),
                   CreateTask('COCKLESHELL', 'COCKLESHELLS', 'shell', 'shell_2'),
                   CreateTask('STAR', '', 'star'),
                   CreateTask('STRIPED_SHIRT', '', 'striped_vest'),
                   CreateTask('GOLD_PANTHER', '', 'tigr'),
                   CreateTask('UNDERWATER_MASK', '', 'underwater_mask'),
                   CreateTask('FLIPPERS', '', 'flippers'),
                   CreateTask('SCOOP', '', 'hammer_ice'),
                   CreateTask('MATCHES', '', 'matches'),
                   CreateTask('SNOWFLAKE', '', 'snowflake'),
                   CreateTask('SPOON', '', 'spoon'),
                   CreateTask('COCKTAIL_STICK', '', 'stick_cocktails'),
                   
                   CreateTask('BELL', 'BELLS', 'bell', 'bell_2', 'bell_4', 'bell_5'),
                   CreateTask('MUSICAL_NOTE', '', 'note'),
                   CreateTask('PINEAPPLE', '', 'pineapple'),
                   CreateTask('DOLL', '', 'puppet'),
                   CreateTask('TREBLE_CLEF', '', 'violin_key'),
                   
                   CreateTask('HANDKERCHIEF', '', 'handkerchief'),
                   CreateTask('TIE', '', 'tie')
                   )
    ---------------------------------------------------------------------------------------------
    game_state.chain_on_shown = RegisterComicsEx(function()
                                                    LoadComics(PATH_COMICS_2_START, 'COMICS_2_2')
                                                    CreateOneReplicHeroes('COMICS_2_2', 2)
                                                 end )
    RegisterComics('COMICS_2_TAKE_BOTTLE', function()
                                            LoadComicsWithOneReplicHeroes(PATH_COMICS_2_TAKE_BOTTLE, 'COMICS_2_TAKE_BOTTLE')
                                        end )
	game_state.chain_net = RegisterComicsEx(function()
										        LoadComicsWithOneReplicHeroes(PATH_COMICS_2_NET, 'COMICS_2_NET')
									        end )
	game_state.chain_corkscrew = RegisterComicsEx(function()
		                                            LoadComicsWithOneReplicHeroes(PATH_COMICS_2_CORKSCREW, 'COMICS_2_CORKSCREW')
	                                              end )
	RegisterComics('COMICS_2_MINIGAME', function()
		LoadComicsWithOneReplicHeroes(PATH_COMICS_2_MINIGAME, 'COMICS_2_MINIGAME')
	end )
    ---------------------------------------------------------------------------------------------
    pf:GetObject('bottle_in_table'):SetOpacity(0)
    pf:GetObject('bottle_in_table_without_cork'):SetOpacity(0)
    pf:GetObject('bottle_in_table_without_memorial'):SetOpacity(0)
    game_state.locked_objects['memorial'] = true
    pf:IgnoreOnTestPoint('bottle')
    pf:IgnoreOnTestPoint('bottom_layer')
    ---------------------------------------------------------------------------------------------                   
    -- Create composition bottle in sea
    local sea_bottle = createComposition_bottle()
    sea_bottle:AttachTo(screen)
    sea_bottle:SetZ(88)
    ---------------------------------------------------------------------------------------------
    zone_bucket = CreateZoomZone('close_zone_bucket',
                                 'pixel_open_bucket',
                                 'bg_bucket',
                                 'corkscrew',
                                 'hammer_ice',
                                 'matches',
                                 'snowflake',
                                 'spoon',
                                 'stick_cocktails',
                                 'layer_matches',
                                 'layer_spoon'
                                )
    pf:IgnoreOnTestPoint('layer_spoon')
    ---------------------------------------------------------------------------------------------
    zone_bottle = CreateZoomZone('close_zone_bottle',
                                 '',
                                 'bg_bottle',
                                 'bottle',
                                 'cork',
                                 'cork_layer',
                                 'cork_target',
                                 'bottom_layer',
                                 'memorial',
                                 'bottleneck',
                                 
                                 'handkerchief',
                                 'tie',
                                 'layer_tie'
                                )
    pf:GetObject('cork_target'):SetMaxOpacity(0.01)
    ---------------------------------------------------------------------------------------------
    local photo_action_net = function()
                                pf:GetObject('net_layer'):ChangeOpacity(1, 0, 0.3)
                             end
    local apply_action_net = function(save)
                                RegisterZoomZone(zone_bottle, 'pixel_action_bottle_in_table')
                                if(save) then
                                    sea_bottle:SetOpacity(0)
                                    pf:GetObject('bottle_in_table'):SetOpacity(1)
                                else
                                    local af = CreateAnimationEffector()
                                    af:AttachTo(sea_bottle)
                                    af:SetKey(_TRACK_O, 0.0, 1)
                                    af:SetKey(_TRACK_O, 0.3, 0)
                                    af:Play()
                                    
                                    local fly_time = 1
                                    local af = CreateAnimationEffector()
                                    af:AttachTo(pf:GetObject('bottle_in_table'))
                                    af:SetKey(_TRACK_X, 0.0,            pf:GetObject('bottle_in_water_maska'):GetX() )
                                    af:SetKey(_TRACK_Y, 0.0,            pf:GetObject('bottle_in_water_maska'):GetY() )
                                    af:SetKey(_TRACK_X, fly_time,       pf:GetObject('bottle_in_table'):GetX() )
                                    af:SetKey(_TRACK_Y, fly_time,       pf:GetObject('bottle_in_table'):GetY() )
                                    af:SetKey(_TRACK_O, 0.0,            0.5 )
                                    af:SetKey(_TRACK_O, fly_time,       1.0 )
                                    af:SetKey(_TRACK_SX, 0.0,           0.1 )
                                    af:SetKey(_TRACK_SX, fly_time,      1.0 )
                                    af:SetKey(_TRACK_SY, 0.0,           0.1 )
                                    af:SetKey(_TRACK_SY, fly_time,      1.0 )
                                    af:Play()
                                    
                                    TimerDo(pf:GetTimer(), fly_time + 0.1,  function()
                                                                        PlayRegisterComics('COMICS_2_TAKE_BOTTLE')
                                                                   end)
                                                                   
                                    PlaySound('02_catch_bottle')
                                end
                             end
    local photo_net = CreatePhotoZone('net', 'NET', 'net_photo', photo_action_net, 'bottle_in_water_maska', apply_action_net)
    ---------------------------------------------------------------------------------------------
    pf:GetObject('layer_corkscrew'):SetOpacity(1)
    local photo_action_corkscrew = function()
                                        pf:GetObject('layer_corkscrew'):SetOpacity(0)
                                   end
    local apply_action_corkscrew = function(save)
                                game_state.locked_objects['memorial'] = false
                                if save then
                                    pf:GetObject('cork'):SetOpacity(0)
                                    pf:GetObject('cork_layer'):SetOpacity(0)
                                else
                                    pf:GetObject('cork'):ChangeOpacity(1, 0, 0.3)
                                    pf:GetObject('cork_layer'):ChangeOpacity(1, 0, 0.3)
                                    PlaySound('02_open_bottle')
                                end
                                zone_bottle.RemoveObject('cork')
                                zone_bottle.RemoveObject('cork_layer')
                                
                                pf:GetObject('bottle_in_table'):SetOpacity(0)
                                pf:GetObject('bottle_in_table_without_cork'):SetOpacity(1)
                             end
    local photo_corkscrew = CreatePhotoZone('corkscrew', 
                                            'CORKSCREW', 
                                            'corkscrew_photo', 
                                            photo_action_corkscrew, 'cork_target', apply_action_corkscrew)
    if not zone_bottle.IsRegistered() then
        photo_corkscrew.zone.SetOffsetHighlight(100, -20)
    else        
        photo_corkscrew.zone.SetOffsetHighlight(0, -20)
    end
    level:GetTask('corkscrew'):SetUse(true)
    ---------------------------------------------------------------------------------------------
    if level:IsTaskObject('memorial') == false then
        pf:GetObject('bottle_in_table'):SetOpacity(0)
        pf:GetObject('bottle_in_table_without_memorial'):SetOpacity(1)
    end
    ---------------------------------------------------------------------------------------------
    local periodically_time_gull_start = 2
    local periodically_time_gull_end = 20
    
    local anim_sky = createCompositionlok2()
    anim_sky:AttachTo(screen)
    anim_sky:SetCyclic(true)
    anim_sky:SetZ(80)
    
    local sea_gull_1 = createComposition_chayka_1()
    sea_gull_1:AttachTo(screen)
    sea_gull_1:SetZ(86.1)
    PlayCompositionPeriodicallyVsRandDelay(sea_gull_1, periodically_time_gull_start, periodically_time_gull_end)

    local sea_gull_2 = createComposition_chayka_2()
    sea_gull_2:AttachTo(screen)
    sea_gull_2:SetZ(86.2)
    PlayCompositionPeriodicallyVsRandDelay(sea_gull_2, periodically_time_gull_start, periodically_time_gull_end)
    
    local sea_gull_3 = createComposition_chayka_3()
    sea_gull_3:AttachTo(screen)
    sea_gull_3:SetZ(86.3)
    PlayCompositionPeriodicallyVsRandDelay(sea_gull_3, periodically_time_gull_start, periodically_time_gull_end)

    local sea_maska = createComposition_maska()
    sea_maska:AttachTo(screen)
    sea_maska:SetZ(87)
	
	local palm = createCompositionPrecomp3()                
	palm:AttachTo(screen)
	palm:SetZ(88)
    ---------------------------------------------------------------------------------------------
    local internoise_sea = MakeSoundEntity("internoise_sea")
    internoise_sea:Play(true)
    ---------------------------------------------------------------------------------------------
	SetHintComicsPhotoZoneEx(photo_net, game_state.chain_net)
	SetHintComicsPhotoZoneEx(photo_corkscrew, game_state.chain_corkscrew)
	---------------------------------------------------------------------------------------------
	game_state.chain_on_win = RegisterComicsEx(function()
                                                    LoadComicsWithOneReplicHeroes(PATH_COMICS_2_ON_WIN, 'COMICS_2_ON_WIN')
                                               end )
    game_state.chain_on_win.OnHidden = function()
        OnWinLevel()
    end
    ---------------------------------------------------------------------------------------------
    RegisterMiniGame(PATH_MINIGAME_2_PUZZLE, function()
                                                LoadMiniGames(PATH_MINIGAME_2_PUZZLE)
                                            end )
    ---------------------------------------------------------------------------------------------
end

function OnSceneFree()
    FreeData()
end

function OnHiddenComics(comics)
end

function OnScreenShown(fade_out)
    if fade_out then
        game_state.chain_on_shown:Play()
    end
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)
--[[    
    local ch = GetChar()
    if ch == 65 then
        SetCursor(GetCursorZoom())
    end
    if ch == 66 then
        SetCursor(GetCursorArrow())
    end
]]
end

function OnWin()
    if IsMiniGamePlay(PATH_MINIGAME_2_PUZZLE) and play_field:GetLevelScreen():IsCompleteLevel() then
        game_state.chain_on_win:Play()
    end
end

function OnLose()
end

function OnExit()
end

function OnMinigameCompleted()
    OnWin()
    NotesFound('Notes_3')
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnButtonMouseEnter(title)
end

function OnButtonMouseLeave(title)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object)
    
    return is_wrong_click
end

function OnObjectMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)

    if object:GetName() == 'memorial' then
        DisableZoomZoneRequest(zone_bottle)
        
        play_field:GetObject('bottle_in_table'):SetOpacity(0)
        play_field:GetObject('bottle_in_table_without_memorial'):SetOpacity(1)
        
        PlayRegisterMiniGame(PATH_MINIGAME_2_PUZZLE)
    end
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
    
    if object:GetName() == 'memorial' then  
--        PlayRegisterMiniGame(PATH_MINIGAME_2_PUZZLE)
    end
end

function OnPhotographing()
	DefaultOnPhotographing()
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

-- CLEAR_ON_SAVE_END

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/Layers/bg.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg',anim,512,384,70,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/Items/apple.png',0,0,38,30,1,0)
	anim:SetHotSpot(19,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('apple',anim,617,546,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/Items/clock.png',0,0,46,46,1,0)
	anim:SetHotSpot(23,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('clock',anim,603,367,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/Items/cup.png',0,0,44,39,1,0)
	anim:SetHotSpot(22,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cup',anim,764,529,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/Items/dice.png',0,0,52,23,1,0)
	anim:SetHotSpot(26,11)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dice',anim,881,743,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/Items/eagle.png',0,0,95,106,1,0)
	anim:SetHotSpot(47,53)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('eagle',anim,714,38,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/Items/globe.png',0,0,37,46,1,0)
	anim:SetHotSpot(18,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('globe',anim,521,446,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/Items/locomotive.png',0,0,132,73,1,0)
	anim:SetHotSpot(66,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('locomotive',anim,648,733,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/Items/ring.png',0,0,29,27,1,0)
	anim:SetHotSpot(14,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ring',anim,561,702,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/Items/saving_circle.png',0,0,90,100,1,0)
	anim:SetHotSpot(45,50)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('saving_circle',anim,834,514,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/Items/shell.png',0,0,56,38,1,0)
	anim:SetHotSpot(28,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('shell',anim,252,467,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/Items/star.png',0,0,55,50,1,0)
	anim:SetHotSpot(27,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('star',anim,357,83,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/Items/striped_vest.png',0,0,97,79,1,0)
	anim:SetHotSpot(48,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('striped_vest',anim,865,625,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/Items/tigr.png',0,0,46,36,1,0)
	anim:SetHotSpot(23,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tigr',anim,477,454,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/Items/underwater_mask.png',0,0,131,83,1,0)
	anim:SetHotSpot(65,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('underwater_mask',anim,262,613,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/Items/ball.png',0,0,62,56,1,0)
	anim:SetHotSpot(31,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ball',anim,391,652,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/Items/flippers.png',0,0,142,79,1,0)
	anim:SetHotSpot(71,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('flippers',anim,491,761,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/Layers/flippers_layer.png',0,0,39,55,1,0)
	anim:SetHotSpot(19,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('flippers_layer',anim,441,741,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_open_bucket',anim,423,475,100,0,9,9)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/ZoneBucket/bg_bucket.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('bg_bucket',anim,512,384,500,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/Layers/net_layer.png',0,0,150,176,1,0)
	anim:SetHotSpot(75,88)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('net_layer',anim,607,94,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/Items/net.png',0,0,177,182,1,0)
	anim:SetHotSpot(138,91)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('net',anim,674,92,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/Layers/bottle_in_table.png',0,0,51,92,1,0)
	anim:SetHotSpot(25,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bottle_in_table',anim,567,545,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/ZoneBottle/bg_bottle.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('bg_bottle',anim,512,384,500,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/Layers/saving_circle_layer.png',0,0,86,97,1,0)
	anim:SetHotSpot(43,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('saving_circle_layer',anim,830,525,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/ZoneBottle/cork.png',0,0,58,82,1,0)
	anim:SetHotSpot(29,41)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('cork',anim,538,291,540,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/ZoneBottle/cork_layer.png',0,0,54,63,1,0)
	anim:SetHotSpot(27,31)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('cork_layer',anim,537,299,570,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/ZoneBottle/bottom_layer.png',0,0,115,107,1,0)
	anim:SetHotSpot(57,53)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('bottom_layer',anim,531,518,600,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/ZoneBottle/memorial.png',0,0,78,224,1,0)
	anim:SetHotSpot(39,112)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('memorial',anim,537,445,610,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/ZoneBottle/bottleneck.png',0,0,59,41,1,0)
	anim:SetHotSpot(29,20)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('bottleneck',anim,537,280,530,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/Photo/corkscrew_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('corkscrew_photo',anim,98,158,10,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/Photo/net_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('net_photo',anim,97,154,10,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/ZoneBucket/Items/hammer_ice.png',0,0,100,43,1,0)
	anim:SetHotSpot(50,21)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('hammer_ice',anim,409,266,550,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/ZoneBucket/Items/snowflake.png',0,0,47,47,1,0)
	anim:SetHotSpot(23,23)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('snowflake',anim,584,336,550,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/ZoneBucket/Items/spoon.png',0,0,164,89,1,0)
	anim:SetHotSpot(82,44)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('spoon',anim,305,460,550,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/ZoneBucket/Items/stick_cocktails.png',0,0,86,32,1,0)
	anim:SetHotSpot(43,16)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('stick_cocktails',anim,529,555,550,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/ZoneBucket/Layers/layer_matches.png',0,0,42,40,1,0)
	anim:SetHotSpot(21,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_matches',anim,642,284,570,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/ZoneBucket/Layers/layer_spoon.png',0,0,80,48,1,0)
	anim:SetHotSpot(40,24)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('layer_spoon',anim,307,453,570,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('bottle_in_water_maska',anim,988,471,200,0,8,7)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_action_bottle_in_table',anim,574,539,200,0,5,12)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/ZoneBottle/bottle.png',0,0,168,360,1,0)
	anim:SetHotSpot(84,180)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('bottle',anim,500,382,550,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/Layers/layer_corkscrew.png',0,0,18,12,1,0)
	anim:SetHotSpot(9,6)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_corkscrew',anim,414,447,300,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/Layers/bottle_in_table_without_cork.png',0,0,51,92,1,0)
	anim:SetHotSpot(25,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bottle_in_table_without_cork',anim,567,545,131,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/Layers/bottle_in_table_without_memorial.png',0,0,51,92,1,0)
	anim:SetHotSpot(25,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bottle_in_table_without_memorial',anim,567,546,132,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/ZoneBottle/items/handkerchief.png',0,0,84,77,1,0)
	anim:SetHotSpot(42,38)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('handkerchief',anim,356,223,510,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/ZoneBottle/items/tie.png',0,0,83,140,1,0)
	anim:SetHotSpot(41,70)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('tie',anim,275,328,510,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/ZoneBottle/layers/layer_tie.png',0,0,42,62,1,0)
	anim:SetHotSpot(21,31)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('layer_tie',anim,253,276,520,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/Items/float.png',0,0,62,42,1,0)
	anim:SetHotSpot(31,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('float',anim,956,651,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/ZoneBucket/corkscrew.png',0,0,79,88,1,0)
	anim:SetHotSpot(39,44)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('corkscrew',anim,436,341,550,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('cork_target',anim,540,296,600,0,7,10)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/Items/bell.png',0,0,51,75,1,0)
	anim:SetHotSpot(25,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bell',anim,475,5,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/Items/bell_2.png',0,0,78,49,1,0)
	anim:SetHotSpot(39,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bell_2',anim,237,397,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/Items/bell_4.png',0,0,99,79,1,0)
	anim:SetHotSpot(49,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bell_4',anim,740,670,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/Items/bell_5.png',0,0,36,38,1,0)
	anim:SetHotSpot(18,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bell_5',anim,887,467,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/Items/note.png',0,0,36,41,1,0)
	anim:SetHotSpot(18,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('note',anim,937,562,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/Items/pineapple.png',0,0,82,74,1,0)
	anim:SetHotSpot(41,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pineapple',anim,312,510,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/Items/puppet.png',0,0,115,112,1,0)
	anim:SetHotSpot(57,56)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('puppet',anim,995,589,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/Items/shell_2.png',0,0,52,44,1,0)
	anim:SetHotSpot(26,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('shell_2',anim,915,356,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/Items/violin_key.png',0,0,35,74,1,0)
	anim:SetHotSpot(17,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('violin_key',anim,626,662,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_prow_/ZoneBucket/Items/matches.png',0,0,70,47,1,0)
	anim:SetHotSpot(35,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('matches',anim,662,282,550,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
